petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexCreateFromFile

This takes a filename and produces a DM

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateFromFile(MPI_Comm comm, const char filename[], PetscBool interpolate, DM *dm)

### Input Parameters

| comm | - The communicator
| filename | - A file name
| interpolate | - Flag to create intermediate mesh pieces (edges, faces)

### Output Parameter

dm -The DM

### Options Database Keys

-dm_plex_create_from_hdf5_xdmf -use the PETSC_VIEWER_HDF5_XDMF format for reading HDF5

### See Also

DMPlexCreateFromDAG(), DMPlexCreateFromCellList(), DMPlexCreate()

### Level

beginner

### Location

src/dm/impls/plex/plexcreate.c

### Examples

src/dm/impls/plex/examples/tutorials/ex2.c.html
src/dm/impls/plex/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages